%global momorel 8

Name: mod_estraier
Summary: mod_estraier is an apache module that registers web pages processed by the apache and search from them using the node API of Hyper Estraier
Version: 0.3.2
Release: %{momorel}m%{?dist}
Source0: http://dl.sourceforge.net/sourceforge/modestraier/%{name}-%{version}.tar.gz 
NoSource: 0
License: GPL
URL: http://modestraier.sourceforge.net/index.ja.html
Group: System Environment/Daemons
BuildRequires: httpd hyperestraier qdbm-devel >= 1.8.77
Requires: qdbm >= 1.8.77
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
mod_estraier is an apache module that registers web pages processed by the apache and search from them using the node API of Hyper Estraier

%prep
%setup -q -n %{name}

%build
%configure --with-apxs=%{_sbindir}/apxs
%make

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/httpd/modules
/usr/sbin/apxs -i -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_estraier.la
/usr/sbin/apxs -i -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_estraier_search.la
/usr/sbin/apxs -i -S LIBEXECDIR=%{buildroot}%{_libdir}/httpd/modules mod_estraier_cache.la

mkdir -p %{buildroot}%{_datadir}/mod_estraier/tmpl
cp tmpl/* %{buildroot}%{_datadir}/mod_estraier/tmpl

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc ChangeLog README README.ja TODO doc/recipes.conf
%{_libdir}/httpd/modules/*
%{_datadir}/mod_estraier/tmpl/

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.3.2-8m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-7m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.2-6m)
- %%NoSource -> NoSource

* Sun Nov 18 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-5m)
- rebuild against qdbm-1.8.77

* Wed Mar 21 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.3.2-4m)
- rebuild against qdbm-1.8.75

* Wed Dec  6 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.3.2-3m)
- add tmplete

* Tue Dec  5 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.2-2m)
- add --with-apxs=%%{_sbindir}/apxs to configure

* Tue Dec  5 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.3.2-1m)
- initial commit
